﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using Infragistics.Windows.DockManager.Dragging;
using Infragistics.Windows.DockManager;
using System.Diagnostics;

namespace IssueReproduction
{
  /// <summary>
  /// Logique d'interaction pour Window1.xaml
  /// </summary>
  public partial class Window1 : Window, INotifyPropertyChanged
  {
    public Window1()
    {
      this.DataContext = this;
      InitializeComponent();
    }
    public event PropertyChangedEventHandler PropertyChanged;
    protected void OnPropertyChanged(string propertyName)
    {
      if (PropertyChanged != null)
      {
        PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
      }
    }

	private void OnPaneDragOver(object sender, Infragistics.Windows.DockManager.Events.PaneDragOverEventArgs e)
	{
		if (e.Panes.Count == 1 && e.Panes[0].Name == "myContentPane")
		{
			// only allow the pane to be dragged to a root split pane
			if (!(e.DragAction is NewRootPaneAction))
			{
				e.IsValidDragAction = false;
			}
		}
	}

	private void OnPaneDragEnded(object sender, Infragistics.Windows.DockManager.Events.PaneDragEndedEventArgs e)
	{
		if (e.Panes.Count == 1 && e.Panes[0].Name == "myContentPane")
		{
			SplitPane split = LogicalTreeHelper.GetParent(e.Panes[0]) as SplitPane;
			Debug.Assert(null != split && XamDockManager.GetDockManager(split).Panes.Contains(split), "Expected this to be a root split pane");
			Debug.Assert(XamDockManager.GetPaneLocation(split) == PaneLocation.DockedTop || XamDockManager.GetPaneLocation(split) == PaneLocation.DockedBottom);
			split.MaxHeight = 50;
		}
	}
  }
}
